package com.xhkjedu.smarking.model.paper;

import com.xhkjedu.model.BaseBean;
import lombok.Data;

import javax.persistence.Id;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.util.List;

/**
 * @Description 阅卷试卷题型表
 * @Author auto
 * @Date 2024-10-15
 */
@Data
@Table(name = "ms_paper_qtype")
public class MsPaperQtype extends BaseBean {
    @Id
    //阅卷试卷题型ID
    private Integer mptid;
    //试卷id
    private Integer mpid;
    //题型名称
    private String mptname;
    //题型下试题数量
    private Integer mptnum;
    //题型排序
    private Integer mptorder;
    //题型下试题总分值
    private Double mptscore;
    //创建人id
    private Integer createid;
    //创建时间
    private Integer createtime;

    //题型下试题
    @Transient
    private List<MsPaperQtypeQuestion> questions;
}
