package com.xhkjedu.smarking.mapper.stupaper;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.smarking.model.exam.MsClassStudent;
import com.xhkjedu.smarking.model.stupaper.MsPaperStudent;
import com.xhkjedu.smarking.vo.exam.CStudentVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Description 阅卷试卷学生表 Mapper 接口
 * @Author auto
 * @Date 2024-10-15
 */
public interface MsPaperStudentMapper extends TkMapper<MsPaperStudent> {
    //批量保存学生试卷
    void batchSave(@Param("list") List<MsPaperStudent> paperStudents);

    //获取学生科目试卷状态
    Integer getStateByStudentIdAndSubjectId(@Param("cs") CStudentVo cs);
}
