package com.xhkjedu.smarking.service.stupaper;

import com.xhkjedu.smarking.mapper.stupaper.MsPaperStudentQuestionScoreMapper;
import com.xhkjedu.smarking.model.stupaper.MsPaperStudentQuestionScore;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Description 阅卷学生分数修改历史表 服务实现类
 * @Author auto
 * @Date 2024-10-15
 */
@Service
public class MsPaperStudentQuestionScoreService {
    @Resource
    private MsPaperStudentQuestionScoreMapper msPaperStudentQuestionScoreMapper;

    /**
     * @Description 新增
     * @Param [msPaperStudentQuestionScore]
     * @Author auto
     * @Date 2024-10-15
     * @return void
     **/
    public void add(MsPaperStudentQuestionScore msPaperStudentQuestionScore){
        msPaperStudentQuestionScoreMapper.insert(msPaperStudentQuestionScore);
    }

    /**
     * @Description 列表
     * @Param [msPaperStudentQuestionScore]
     * @Author auto
     * @Date 2024-10-15
     * @return java.util.List<com.xhkjedu.smarking.model.stupaper.MsPaperStudentQuestionScore>
     **/
    public List<MsPaperStudentQuestionScore> queryList(MsPaperStudentQuestionScore msPaperStudentQuestionScore){
        return msPaperStudentQuestionScoreMapper.selectAll();
    }
}
