package com.xhkjedu.smarking.service.stupaper;

import com.xhkjedu.smarking.mapper.stupaper.MsPaperStudentQuestionMapper;
import com.xhkjedu.smarking.model.stupaper.MsPaperStudentQuestion;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @Description 阅卷试卷学生试题表 服务实现类
 * @Author auto
 * @Date 2024-10-15
 */
@Service
public class MsPaperStudentQuestionService {
    @Resource
    private MsPaperStudentQuestionMapper msPaperStudentQuestionMapper;

    /**
     * @Description 新增
     * @Param [msPaperStudentQuestion]
     * @Author auto
     * @Date 2024-10-15
     * @return void
     **/
    public void add(MsPaperStudentQuestion msPaperStudentQuestion){
        msPaperStudentQuestionMapper.insert(msPaperStudentQuestion);
    }

    /**
     * @Description 列表
     * @Param [msPaperStudentQuestion]
     * @Author auto
     * @Date 2024-10-15
     * @return java.util.List<com.xhkjedu.smarking.model.stupaper.MsPaperStudentQuestion>
     **/
    public List<MsPaperStudentQuestion> queryList(MsPaperStudentQuestion msPaperStudentQuestion){
        return msPaperStudentQuestionMapper.selectAll();
    }
}
